import { Database } from 'sqlite';
declare namespace Databases {
    enum data_base {
        user = "app_data_user",
        shift = "app_data_shift",
        tokens = "app_data_tokens",
        state = "app_data_state",
        shiftid = "app_data_shiftid"
    }
    function open(dbname: string): Database;
    function get(dbname: string, table: string, find: {
        [key: string]: string;
    } | 'all'): Promise<any>;
    function add<T extends {}>(dbname: string, table: string, insert: T): Promise<void>;
    function del(dbname: string, table: string, del: {
        [key: string]: string;
    } | 'all'): Promise<any>;
    function search(dbname: string, table: string, find: {
        [key: string]: string;
    } | 'all'): Promise<any>;
    function update(dbname: string, table: string, find: {
        [key: string]: string;
    }, updates: {
        [key: string]: string;
    }): Promise<any>;
    class Sqlite extends Database {
        constructor(name: string);
        createTable(tbname: string, table: string[]): Sqlite;
        fetchbyId(id: number): void;
        fetchAll(tbname: string): Promise<any[]>;
    }
    class Users {
        static findUser(): void;
    }
}
export default Databases;
